javax.security.auth.message.callback

## Class SecretKeyCallback

- java.lang.Object
- - javax.security.auth.message.callback.SecretKeyCallback

- All Implemented Interfaces:
    javax.security.auth.callback.Callback

      public class SecretKeyCallback
      extends java.lang.Object
      implements javax.security.auth.callback.Callback

  A callback enabling an authentication module to request a secret key from the runtime, by supplying an alias. Other request types may also be supported.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecretKeyCallback.AliasRequest`
    `static interface` | `SecretKeyCallback.Request`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecretKeyCallback(SecretKeyCallback.Request request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.crypto.SecretKey` | `getKey()`
    `SecretKeyCallback.Request` | `getRequest()`
    `void` | `setKey(javax.crypto.SecretKey key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecretKeyCallback

          public SecretKeyCallback(SecretKeyCallback.Request request)

  - ### Method Detail

    - #### getRequest

          public SecretKeyCallback.Request getRequest()

    - #### setKey

          public void setKey(javax.crypto.SecretKey key)

    - #### getKey

          public javax.crypto.SecretKey getKey()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.